Subject: Re: bug#7775: rm -f emits no error message when deleting nonexistent file

From: Bob Proulx <[email-masked]>
Date: Mon, 3 Jan 2011 10:01:21 -0700

Jeremy Hetzler wrote:
> rm normally produces an error when you delete a nonexistent file. However,
> under -f, you get no error message. I would argue this is a bug.

Thank you for the bug report.  But this is not a bug.  That is the
correct and desired behavior.  That is the way it is supposed to work.
This is documented in the manual.

  $ info coreutils 'rm invocation'

  `-f'
  `--force'
       Ignore nonexistent files and never prompt the user.  Ignore any
       previous `--interactive' (`-i') option.

This is core behavior and is also standardized across all Unix
systems.  Here is a pointer to the online standards documentation.

  http://pubs.opengroup.org/onlinepubs/009695399/utilities/rm.html

Bob